Skip to main content
List Nutrition Records

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

from_timestamp
string<date-time>
required

Start time of the query range in UTC, inclusive

Examples:

"2006-01-02T15:04:05"

"2006-01-02T15:04:05Z"

to_timestamp
string<date-time>
required

End time of the query range in UTC, non-inclusive

Examples:

"2006-01-02T15:04:05"

"2006-01-02T15:04:05Z"

consumed
string
default:true

Filter by consumed status: 'true' for saved records with consumed_at, 'false' for analyze-only records, 'any' for both. Default: 'true'

Response

object[] | null

OK

dish_name
string
required

Detected dish name

Example:

"beef and broccoli stir-fry"

serving_size
number<double>
required

Serving size in metric units

Required range: x >= 0.01
Example:

120

unit
enum<string>
required

Metric unit (g for solids, ml for liquids)

Available options:
g,
mg,
mcg,
ml,
kcal
Example:

"g"

consumed_at
string<date-time>

The UTC time when food was consumed. By default, it is set to the record update time

Examples:

"2006-01-02T15:04:05"

"2006-01-02T15:04:05Z"

dish_description
string

Detected dish description

Example:

"beef, ground, lean, cooked with broccoli, raw and rice, brown, cooked"

dish_description_translated
string

Dish description translated to target language

Example:

"Rindfleisch, Hackfleisch, mager, gekocht mit Brokkoli, roh und Reis, braun, gekocht"

dish_name_translated
string

Dish name translated to target language

Example:

"Rindfleisch und Brokkoli Pfanne"

failure_reason
string
read-only

Reason for processing failure

Example:

"Unable to identify food items"

ingredients
object[] | null

List of detected ingredients with nutritional information

input_type
enum<string>
read-only

Nutrition record input type

Available options:
image,
manual,
push,
text
Example:

"image"

modified_at
string<date-time>
read-only

Update timestamp in UTC

Example:

"2025-09-15T10:30:12.132Z"

nutri_score
string

Nutri-Score known as the 5-Colour Nutrition label (A-E)

Example:

"B"

nutritional_fields
object

Nutritional values in the given serving size

record_id
string<uuid>
read-only

Report record ID

Example:

"6ba7b810-9dad-11d1-80b4-00c04fd430c8"

status
enum<string>
read-only

Processing status

Available options:
pending,
processing,
completed,
failed,
updated
Example:

"completed"

uploaded_at
string<date-time>
read-only

Upload timestamp in UTC

Example:

"2025-09-15T10:30:04.521Z"

user_time_offset_minutes
integer<int32>

User's local timezone offset in minutes

Example:

-540